Subject: Re: bug#65026: 30.0.50; c-ts-mode-test-indentation-bsd fails
From: Michael Albinus <[email-masked]>
To: Yuan Fu <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sun, 17 Sep 2023 09:09:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.2

Yuan Fu <[email-masked]> writes:

Hi Yuan,

>> But this is another error. Do you want to trace it in this bug report,
>> or shall I write a new one?
>
> Thanks Michael. This test failure is cause by a (kind of) regression
> introduced by ec4d29c4494 on emacs-29. Only the latest
> tree-sitter-bash grammar will trigger the tree-sitter bug that
> activates the regression introduced in that commit, so the test passed
> locally on my machine.
>
> I’ve pushed a fix for that regression a few days ago to emacs-29. Once
> emacs-29 is merged into master, the failure should go away. I’ll check
> the CI to see if that indeed happens.

On emba, the treesitter tests pass now. I'm closing the bug.

> Yuan

Best regards, Michael.